Skip to main content

Update Unit: Rent Manager

PUThttps://api.propexo.com/v1/units/rentmanager/:unit_id

Update a unit in Rent Manager. This endpoint supports updating basic unit information, addresses, market rent, floor plan details, marketing data, and building information. Some fields require specific embeds to be enabled in Rent Manager.

Method
POST /Units

Authentication​

  • AuthorizationBearer
    Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters​

unit_id stringrequired

The Propexo unique identifier for the unit

Request​

This endpoint expects an object.

    numberstring

    The unit number

    notesstring

    Notes associated with the unit

    square_feetinteger

    The square footage of the unit

    bathroomsnumber

    The number of bathrooms associated with the unit. This value is sent directly to Rent Manager as-is. Use decimals for half bathrooms.

    bedroomsinteger

    The number of bedrooms associated with the unit

    is_vacantboolean

    Whether the unit is vacant

    address_1string

    The first address line associated with the unit

    citystring

    The city associated with the unit

    statestring

    The state associated with the unit

    zipstring

    The zip code associated with the unit

    rent_amount_market_in_centsinteger

    The market rent amount in cents for the unit

Response​

Successful response

    meta objectrequired
    job_idstringrequired
    result objectrequired
    unit_idstringrequired

    The Propexo unique identifier for the unit

    numberstring

    The unit number

    notesstring

    Notes associated with the unit

    square_feetinteger

    The square footage of the unit

    bathroomsnumber

    The number of bathrooms associated with the unit. This value is sent directly to Rent Manager as-is. Use decimals for half bathrooms.

    bedroomsinteger

    The number of bedrooms associated with the unit

    is_vacantboolean

    Whether the unit is vacant

    address_1string

    The first address line associated with the unit

    citystring

    The city associated with the unit

    statestring

    The state associated with the unit

    zipstring

    The zip code associated with the unit

    rent_amount_market_in_centsinteger

    The market rent amount in cents for the unit

Errors​

  • 400Bad Request
      error objectrequired
      codestringrequired
      Example: invalid_request
      messagestringrequired
      Example: invalid request
      details object
      property name*any
      Example: {"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
PUT /v1/units/rentmanager/:unit_id
curl -X PUT https://api.propexo.com/v1/units/rentmanager/:unit_id \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"number": "string",
"notes": "string",
"square_feet": 0,
"bathrooms": 0,
"bedrooms": 0,
"is_vacant": true,
"address_1": "string",
"city": "string",
"state": "string",
"zip": "string",
"rent_amount_market_in_cents": 0
}'
200 Successful response
{
"meta": {
"job_id": "string"
},
"result": {
"unit_id": "string",
"number": "string",
"notes": "string",
"square_feet": 0,
"bathrooms": 0,
"bedrooms": 0,
"is_vacant": true,
"address_1": "string",
"city": "string",
"state": "string",
"zip": "string",
"rent_amount_market_in_cents": 0
}
}